Reservar o completar la carga de un archivo adjunto
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"size_bytes": 2621440,
"content_sha256": "<string>"
},
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments"
payload = {
"metadata": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"size_bytes": 2621440,
"content_sha256": "<string>"
},
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
operation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
original_filename: '<string>',
size_bytes: 2621440,
content_sha256: '<string>'
},
attachment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'operation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'original_filename' => '<string>',
'size_bytes' => 2621440,
'content_sha256' => '<string>'
],
'attachment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments"
payload := strings.NewReader("{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "attachment_upload",
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"original_filename": "<string>",
"mime_type": "application/pdf",
"size_bytes": 2621440,
"already_uploaded": true,
"upload_url": "<string>"
}
}Reservar o completar la carga de un archivo adjunto
Reservá el archivo, subilo con la URL firmada y completá la reserva para vincularlo al registro.
POST
/
api
/
v1
/
supplier-payments
/
{payment_id}
/
attachments
Reservar o completar la carga de un archivo adjunto
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"size_bytes": 2621440,
"content_sha256": "<string>"
},
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments"
payload = {
"metadata": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_filename": "<string>",
"size_bytes": 2621440,
"content_sha256": "<string>"
},
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
operation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
original_filename: '<string>',
size_bytes: 2621440,
content_sha256: '<string>'
},
attachment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'operation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'original_filename' => '<string>',
'size_bytes' => 2621440,
'content_sha256' => '<string>'
],
'attachment_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments"
payload := strings.NewReader("{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"operation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"original_filename\": \"<string>\",\n \"size_bytes\": 2621440,\n \"content_sha256\": \"<string>\"\n },\n \"attachment_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "attachment_upload",
"attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"original_filename": "<string>",
"mime_type": "application/pdf",
"size_bytes": 2621440,
"already_uploaded": true,
"upload_url": "<string>"
}
}Authorizations
Body
application/json
Was this page helpful?

